Name: libxfce4menu
Version: 4.6.1
Release: alt2

Summary: libxfce4menu is an implementation of the freedesktop.org menu standard
Summary (ru_RU.UTF-8): Реализация меню для Xfce согласно стандартам freedesktop.org
License: LGPL
Group: Development/C
Url: http://www.xfce.org/
Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2

Packager: Denis Koryavov <dkoryavov@altlinux.org>

BuildPreReq: rpm-build-xfce4 libgtk+2-devel  libxfce4util-devel > 4.5 xfce4-dev-tools > 4.5
BuildRequires: gcc-c++ gtk-doc intltool

%description
libxfce4menu is an implementation of the freedesktop.org menu standard. 
It is not complete yet but already covers the most important features 
(except for Merging which is a requirement for proper menu editing). 
Starting with Xfce 4.6 it is used by xfdesktop and xfce4-appfinder 
for menus and lists of installed applications.

%description -l ru_RU.UTF-8
Данный пакет содержит в себе реализацию меню для Xfce согласно стандартам freedesktop.org.
Реализация пока еще не является полной, однако уже сейчас содержит в себе самые важные
функции (за исключением "слияния", что необходимо для реализации редактирования меню).
Начиная с Xfce версии 4.6 libxfce4menu используется в менеджере рабочего стола (xfdesktop)
и утилите поиска приложений (xfce4-appfinder).

%package devel
Summary: Development files for %name
Group: Development/C
License: LGPL
PreReq: %name = %version-%release

%description devel
Header files for the %name library.

%prep
%setup
gtkdocize

%build
%xfce4reconf
%configure \
	--enable-gtk-doc \
	--enable-debug=no
%make_build

%install
%makeinstall_std
%find_lang %name-0.1

%files -f %name-0.1.lang
%doc README NEWS AUTHORS ChangeLog
%_libdir/*.so.*

%files devel
%_includedir/xfce4/%name-0.1
%_pkgconfigdir/*.pc
%_libdir/*.so
%exclude %_libdir/*.a
%doc %_datadir/gtk-doc/html/%name

%changelog
* Mon Jan 04 2010 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt2
- Fix build with gtkdocize.

* Mon Apr 20 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt1
- Xfce 4.6.1

* Sun Apr 12 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.0-alt1
- Xfce 4.6.0

* Tue Jan 27 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.99.1-alt1
- Xfce 4.6rc1

* Thu Jan 22 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.93-alt1
- Xfce 4.6 beta 3

* Mon Oct 20 2008 Eugene Ostapets <eostapets@altlinux.org> 4.5.91-alt1
- Xfce 4.6 beta1
- First build for ALTLinux
